org.apache.hadoop.mapreduce.v2.app.job.event

## Class JobTaskAttemptFetchFailureEvent

- java.lang.Object
- - org.apache.hadoop.yarn.event.AbstractEvent<JobEventType>
  - - org.apache.hadoop.mapreduce.v2.app.job.event.JobEvent
    - - org.apache.hadoop.mapreduce.v2.app.job.event.JobTaskAttemptFetchFailureEvent

- All Implemented Interfaces:
    org.apache.hadoop.yarn.event.Event<JobEventType>

      public class JobTaskAttemptFetchFailureEvent
      extends JobEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobTaskAttemptFetchFailureEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId reduce, List<org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId> maps, String host)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHost()`
    `List<org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId>` | `getMaps()`
    `org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId` | `getReduce()`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.v2.app.job.event.JobEvent

      `getJobId`

    - ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

      `getTimestamp, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobTaskAttemptFetchFailureEvent

          public JobTaskAttemptFetchFailureEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId reduce,
                                                 List<org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId> maps,
                                                 String host)

  - ### Method Detail

    - #### getMaps

          public List<org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId> getMaps()

    - #### getReduce

          public org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId getReduce()

    - #### getHost

          public String getHost()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.